Inhoud

# Functie Erl

Geeft het regelnummer terug waarin een fout voorkwam gedurende de uitvoering van het programma.

## Syntaxis:

    Erl

## Teruggegeven waarde:

Integer

## Parameters:

De Erl-functie geeft alleen een regelnummer terug en geen regellabel.

## Voorbeeld:

    Sub ExampleError
    On Error Goto ErrorHandler ' Stel foutafhandeling in
    Dim iVar As Integer
    Dim sVar As String
    ' Fout veroorzaakt door niet-bestaand bestand
        iVar = Freefile
        Open "\file9879.txt" For Input As #iVar
        Line Input #iVar, sVar
        Close #iVar
        Exit Sub
    ErrorHandler:
        MsgBox "Fout " & Err & ": " & Error$ + chr(13) + "In regel : " + Erl + chr(13) + Now , 16 ,"Een fout gevonden"
    End Sub

Verwante onderwerpen

Functies voor foutafhandeling